# Uses of Class
org.eclipse.swt.events.SelectionEvent

Packages that use SelectionEvent
Package
Description
org.eclipse.swt.events

## Uses of SelectionEvent in org.eclipse.swt.events

Methods in org.eclipse.swt.events with parameters of type SelectionEvent
Modifier and Type
Method
Description
`void`
SelectionAdapter.`widgetDefaultSelected(SelectionEvent e)`
Sent when default selection occurs in the control.
`void`
SelectionListener.`widgetDefaultSelected(SelectionEvent e)`
Sent when default selection occurs in the control.
`void`
SelectionAdapter.`widgetSelected(SelectionEvent e)`
Sent when selection occurs in the control.
`void`
SelectionListener.`widgetSelected(SelectionEvent e)`
Sent when selection occurs in the control.
Method parameters in org.eclipse.swt.events with type arguments of type SelectionEvent
Modifier and Type
Method
Description
`static SelectionListener`
SelectionListener.`widgetDefaultSelectedAdapter(Consumer<SelectionEvent> c)`
Static helper method to create a `SelectionListener` for the `SelectionListener.widgetDefaultSelected(SelectionEvent e)`) method, given a lambda expression or a method reference.
`static SelectionListener`
SelectionListener.`widgetSelectedAdapter(Consumer<SelectionEvent> c)`
Static helper method to create a `SelectionListener` for the `SelectionListener.widgetSelected(SelectionEvent e)`) method, given a lambda expression or a method reference.